Create or update a prepaid offer
1 min
POST
https://app.amberflo.io/payments/pricing/amberflo/account-pricing/prepaid-offer
Body Parameters
- bodypayment.pricing.prepaid.PrepaidOffer.in
- targetEntityIdstring
- descriptionstring
- moneyWorthTiersmap<string, number>
- calculationStrategypayment.pricing.prepaid.OfferCalculationStrategy.in
- expiredAfterpayment.pricing.BillingPeriod.in
- intervalpayment.pricing.BillingPeriodInterval.in
- intervalsCountinteger<int32>
- lastUpdateTimeInMillisinteger<int64>
- lockingStatuscom.amberflo.service.common.LockingStatus.in
Responses
200
- payment.pricing.prepaid.PrepaidOffer.out
- targetEntityIdstring
- descriptionstring
- moneyWorthTiersmap<string, number>
- calculationStrategypayment.pricing.prepaid.OfferCalculationStrategy.out
- expiredAfterpayment.pricing.BillingPeriod.out
- intervalpayment.pricing.BillingPeriodInterval.out
- intervalsCountinteger<int32>
- lastUpdateTimeInMillisinteger<int64>
- lockingStatuscom.amberflo.service.common.LockingStatus.out
curl
curl --request POST \
--url https://app.amberflo.io/payments/pricing/amberflo/account-pricing/prepaid-offer \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'POST',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://app.amberflo.io/payments/pricing/amberflo/account-pricing/prepaid-offer", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/payments/pricing/amberflo/account-pricing/prepaid-offer")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/payments/pricing/amberflo/account-pricing/prepaid-offer"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
{
"targetEntityId": "",
"description": "",
"moneyWorthTiers": "",
"calculationStrategy": "",
"expiredAfter": {
"interval": "",
"intervalsCount": ""
},
"lastUpdateTimeInMillis": "",
"lockingStatus": ""
}